<?php

namespace common\logic\Product\ProductPrice\Service;

use common\logic\AbstractBuilder;
use common\logic\Product\ProductPrice\Model\ProductPrice;

class ProductPriceBuilder extends AbstractBuilder
{
    public function instanciateProductPrice(): ProductPrice
    {
        $productPrice = new ProductPrice();

        return $productPrice;
    }

    public function createProductPrice(): ProductPrice
    {
        $productPrice = $this->instanciateProductPrice();
        $this->saveCreate($productPrice);

        return $productPrice;
    }
}